N = load('Nvalues.txt','-ascii');
e1 = load('Error1.txt','-ascii');
e2 = load('Error2.txt','-ascii');
e3 = load('Error3.txt','-ascii');

figure(1)
loglog(N,e1);
p = polyfit(log(N),log(e1),1);
sprintf('Algebraic convergence with rate %f',-p(1))

figure(2)
semilogy(N,e2);
p = polyfit(N,log(e2),1);
sprintf('Exponential convergence with delta %f and gamma %f',1,-p(1))

figure(3)
semilogy(N,e3)
figure(4)
loglog(N,e3)
x0 = [1,1,1];
x = lsqcurvefit(@(x,N)log(x(1))-x(2).*N.^(x(3)),x0,N,log(e3));
sprintf('Exponential convergence with delta %f and gamma %f',x(3),x(2))
figure(5)
loglog(N,log(x(1))-log(e3))