
pvals=[1,1.5,2,4,0];
rates = zeros(size(pvals));
exact = @(x) sin(x.^2); 
%exact = @(x) (x<sqrt(2)/2);

for i=1:length(pvals)
    rates(i)=lpcvg(exact,pvals(i));
end

pvals(end) = Inf;
figure
plot(pvals,rates)

% p=polyfit(log(pvals(1:end-1)),log(log(rates(1:end-1))),1);
% gamma=exp(p(2));
% plot(log(pvals),log(log(rates)))
% hold on
% plot(log(pvals),log(gamma*pvals.^(p(1))),'r')

p = polyfit(log(pvals(1:end-1)),log(rates(1:end-1)),1);
figure
loglog(pvals,rates)
hold on
loglog(pvals,p(2).*pvals.^p(1),'r')
